Subject: bug#40442: [EXT] bug#40442: srt2vtt does not work

From: "Thompson, David" <[email-masked]>
Date: Fri, 19 Mar 2021 12:00:30 -0400

Reviving this old issue.

On Sat, Apr 4, 2020 at 6:59 PM sirgazil via Bug reports for GNU Guix
<[email-masked]> wrote:
>
> I installed srt2vtt but it errors when I run it.
>
>
> ## Steps to reproduce
>
> 1. Run "guix install srt2vtt"
> 2. Run "srt2vtt --help"
>
>
> ## Expected result
>
> I can see the help information indicated in srt2vtt's website:
>
> $ srt2vtt --help
> Usage: srt2vtt [OPTIONS]
> Convert SubRip formatted subtitles to WebVTT format.
>
>   -h, --help             display this help and exit
>   -v, --version          display version and exit
>   -i, --input=FILE-NAME  read input from FILE-NAME
>   -o, --output=FILE-NAME write output to FILE-NAME
>
>
> ## Unexpected result
>
> $ srt2vtt --help
> Backtrace:
> In ice-9/boot-9.scm:
>  160: 17 [catch #t #<catch-closure 7f2f5517b2e0> ...]
> In unknown file:
>    ?: 16 [apply-smob/1 #<catch-closure 7f2f5517b2e0>]
> In ice-9/boot-9.scm:
>   66: 15 [call-with-prompt prompt0 ...]
> In ice-9/eval.scm:
>  432: 14 [eval # #]
> In ice-9/boot-9.scm:
> 2412: 13 [save-module-excursion #<procedure 7f2f5519e900 at ice-9/boot-9.scm:4084:3 ()>]
> 4089: 12 [#<procedure 7f2f5519e900 at ice-9/boot-9.scm:4084:3 ()>]
> 1734: 11 [%start-stack load-stack ...]
> 1739: 10 [#<procedure 7f2f551b1b70 ()>]
> In unknown file:
>    ?: 9 [primitive-load "/home/sirgazil/.guix-profile/bin/srt2vtt"]
> In ice-9/eval.scm:
>  505: 8 [#<procedure 7f2f553ae660 at ice-9/eval.scm:499:4 (exp)> (use-modules # #)]
> In ice-9/psyntax.scm:
> 1107: 7 [expand-top-sequence ((use-modules (ice-9 match) (srt2vtt ui))) () ...]
>  990: 6 [scan ((use-modules (ice-9 match) (srt2vtt ui))) () ...]
>  279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
> In ice-9/boot-9.scm:
> 3622: 4 [process-use-modules (((ice-9 match)) ((srt2vtt ui)))]
>  710: 3 [map #<procedure 7f2f5523caa0 at ice-9/boot-9.scm:3622:25 (mif-args)> (# #)]
> 3623: 2 [#<procedure 7f2f5523caa0 at ice-9/boot-9.scm:3622:25 (mif-args)> (#)]
> 2903: 1 [resolve-interface (srt2vtt ui) #:select ...]
> In unknown file:
>    ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (srt2vtt ui)) #f]
>
> ERROR: In procedure scm-error:
> ERROR: no code for module (srt2vtt ui)

This is because the package recipe doesn't wrap the srt2vtt script.
This package has probably been broken for a very long time due to
this.

Commit 48781484ef98d93f775ee9bbfeb805ecae8f8e5a upgrades srt2vtt to
0.2 so that it runs with Guile 3 and wraps the srt2vtt executable so
GUILE_LOAD_PATH and GUILE_LOAD_COMPILED_PATH are configured
appropriately.

sirgazil, could you give it a shot and close this bug if things work for you?

Thanks,

- Dave